Subject: bug#52852: 13.0.15; TeX-insert-quote fails near the beginning of buffer

From: Ikumi Keita <[email-masked]>
Date: Sat, 08 Jan 2022 19:15:53 +0900

Hi Andrea,

>>>>> Andrea Greselin <[email-masked]> writes:
>> I think it’s reasonable to insert an opening quote whenever there
>> isn’t room for one behind the point. I’ve attached a patch that
>> implements this behaviour.

> If I had taken into account narrowed buffers it wouldn’t have seemed
> so reasonable.

> With this new patch, ‘TeX-insert-quote’ only tries to ‘forward-char’
> in reverse when there’s enough room to do so. Unlike with the previous
> patch, it can insert a closing quote even if there’s no room for an
> opening one before point.

Thank you for reporting and providing a patch. It's small and simple
enough for not requiring a copyright assignment, so I've installed your
patch in the git repository.

Regards,
Ikumi Keita